%define         ver 2.7.0
%define         PatchLevel 0

Name:           perl-XML-Xerces
Version:        %{ver}_%{PatchLevel}
Release:        12%{?dist}
Summary:        Perl API to Xerces XML parser

Group:          Development/Libraries
License:        ASL 2.0
URL:            http://xerces.apache.org/xerces-p/
Source:         http://www.apache.org/dist/xml/xerces-p/XML-Xerces-%{ver}-%{PatchLevel}.tar.gz
Patch0:		%{name}-%{ver}-%{PatchLevel}-perl510.patch
BuildRoot:      %{_tmppath}/%{name}-%{ver}-%{PatchLevel}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  perl(Test::More)
BuildRequires:  xerces-c27-devel >= %{ver}
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))


%description
XML::Xerces is the Perl API to the Apache project's Xerces XML parser. It is
implemented using the Xerces C++ API, and it provides access to most of the C++
API from Perl.
Because it is based on Xerces-C, XML::Xerces provides a validating XML parser
that makes it easy to give your application the ability to read and write XML
data. Classes are provided for parsing, generating, manipulating, and
validating XML documents. XML::Xerces is faithful to the XML 1.0 recommendation
and associated standards (DOM levels 1, 2, and 3, SAX 1 and 2, Namespaces, and
W3C XML Schema). The parser provides high performance, modularity, and
scalability, and provides full support for Unicode.
XML::Xerces implements the vast majority of the Xerces-C API. The exception is
some functions in the C++ API which either have better Perl counterparts (such
as file I/O) or which manipulate internal C++ information that has no role in
the Perl module. 


%prep
%setup -q -n XML-Xerces-%{ver}-%{PatchLevel}
%patch0 -p1


%build
export XERCESCROOT=%{_prefix}
export XERCES_LIB=%{_libdir}/xerces-c-%{ver}/
export XERCES_INCLUDE=%{_includedir}/xercesc-%{ver}
%{__perl} Makefile.PL INSTALLDIRS=vendor OPTIMIZE="$RPM_OPT_FLAGS"
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} ';'
find $RPM_BUILD_ROOT -type f -name '*.bs' -a -size 0 -exec rm -f {} ';'
find $RPM_BUILD_ROOT -type d -depth -exec rmdir {} 2>/dev/null ';'
chmod -R u+w $RPM_BUILD_ROOT/*


%check
make test


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc Changes FAQ LICENSE README TODO docs samples
%{perl_vendorarch}/XML
%{perl_vendorarch}/auto/XML
%exclude %{perl_vendorarch}/auto/Handler


%changelog
* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.7.0_0-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sat Mar  8 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 2.7.0_0-11
- be more specific as to the library dir.

* Sat Mar  8 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 2.7.0_0-10
- tell it where the compat bits are

* Fri Mar  7 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 2.7.0_0-9
- ok, so we can't really lie to it. Use the compat BR instead.
- patch for perl 5.10 change

* Fri Mar  7 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 2.7.0_0-8
- tell the code that 2.8.0 is fine

* Thu Mar 06 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 2.7.0_0-7
- Rebuild for new perl

* Wed Feb 20 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 2.7.0_0-6
- Autorebuild for GCC 4.3

* Mon Feb 11 2008 Xavier Bachelot <xavier@bachelot.org> - 2.7.0_0-5
- Relax BR: on xerces-c-devel a bit.
- Rebuild for new xerces-c.

* Sat Jan 12 2008 Xavier Bachelot <xavier@bachelot.org> - 2.7.0_0-4
- Remove '|| :' from %%check section.

* Thu Dec 27 2007 Xavier Bachelot <xavier@bachelot.org> - 2.7.0_0-3
- Fix License: tag.
- Fix Source: URL. 
- Add strict BR: on xerces-c-devel.

* Sat Dec 22 2007 Xavier Bachelot <xavier@bachelot.org> - 2.7.0_0-2
- Clean up spec.

* Wed Aug 09 2006 Xavier Bachelot <xavier@bachelot.org> - 2.7.0_0-1
- Initial build.
